summaryrefslogtreecommitdiffstats
path: root/bin/slash-path-relpath
diff options
context:
space:
mode:
Diffstat (limited to 'bin/slash-path-relpath')
-rwxr-xr-xbin/slash-path-relpath8
1 files changed, 8 insertions, 0 deletions
diff --git a/bin/slash-path-relpath b/bin/slash-path-relpath
new file mode 100755
index 00000000..40230a70
--- /dev/null
+++ b/bin/slash-path-relpath
@@ -0,0 +1,8 @@
+#! /bin/sh
+# slash_path_relpath : lines (path ":" relpath) |> lines path
+#
+# Example: "/foo/bar: baz" => "/foo/baz"
+#
+set -euf
+
+sed -n 's@/[^/]\+:@/@p'